| Authentication | Utility | Marketing | |
|---|---|---|---|
Default TTL | 10 minutes 30 days for authentication templates created before October 23, 2024 | 30 days | 30 days |
Compatibility | Cloud API | Cloud API only | Marketing Messages API for WhatsApp |
Customizable range | 30 seconds to 15 minutes | 30 seconds to 12 hours | 12 hours to 30 days |
message_send_ttl_seconds property in the POST /<PHONE_NUMBER_ID>/message_templates call.message_send_ttl_seconds property values30 to 900 seconds (30 seconds to 15 minutes)30 to 43200 seconds (30 seconds to 12 hours)43200 to 2592000 (12 hours to 30 days)message_send_ttl_seconds property value to -1, which will set a custom TTL of 30 days.curl 'https://graph.facebook.com/v21.0/102290129340398/message_templates' \ -H 'Authorization: Bearer EAAJB...' \ -H 'Content-Type: application/json' \ -d ' { "name": "test_template", "language": "en_US", "category": "MARKETING", "message_send_ttl_seconds": 120, "components": [ { "type": "BODY", "text": "Shop now through {{1}} and use code {{2}} to get {{3}} off of all merchandise.", "example": { "body_text": [ [ "the end of August","25OFF","25%" ] ] } }, { "type": "FOOTER", "text": "Use the buttons below to manage your marketing subscriptions" }, ] }'
{ "id": "572279198452421", "status": "PENDING", "category": "MARKETING" }
message_send_ttl_seconds = null).
At this point, you can set the TTL to any value between 12 hours and 30 days, which is the customizable range for marketing templates, as listed in the table above.